commit: 627363937b2bca2e17b301e20d0d25278a03ed44
Author: Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 4 21:19:57 2017 +0000
Commit: Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Sat Feb 4 21:40:23 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62736393
net-wireless/wepdecrypt: eapi bump
Package-Manager: portage-2.3.3
.../wepdecrypt/files/wepdecrypt-0.8-buffer.patch | 4 +--
net-wireless/wepdecrypt/wepdecrypt-0.8-r2.ebuild | 30 ++++++++++------------
2 files changed, 15 insertions(+), 19 deletions(-)
diff --git a/net-wireless/wepdecrypt/files/wepdecrypt-0.8-buffer.patch
b/net-wireless/wepdecrypt/files/wepdecrypt-0.8-buffer.patch
index 528816f..4b8fb8d 100644
--- a/net-wireless/wepdecrypt/files/wepdecrypt-0.8-buffer.patch
+++ b/net-wireless/wepdecrypt/files/wepdecrypt-0.8-buffer.patch
@@ -1,5 +1,5 @@
---- src/wepclient.c 2006-07-08 19:48:08.000000000 -0400
-+++ src/wepclient.c.new 2010-12-10 13:16:32.000000000 -0500
+--- a/src/wepclient.c 2006-07-08 19:48:08.000000000 -0400
++++ b/src/wepclient.c 2010-12-10 13:16:32.000000000 -0500
@@ -75,7 +75,7 @@
int server_connection(unsigned char * server_host, int port, char *
packet_file, unsigned char * init_key, unsigned char * end_key, unsigned char *
decrypted_key, unsigned char * bssid, unsigned char * mode ,int option){
int sd, read_bytes, write_bytes, i, fd;
diff --git a/net-wireless/wepdecrypt/wepdecrypt-0.8-r2.ebuild
b/net-wireless/wepdecrypt/wepdecrypt-0.8-r2.ebuild
index 473c8f2..e08f591 100644
--- a/net-wireless/wepdecrypt/wepdecrypt-0.8-r2.ebuild
+++ b/net-wireless/wepdecrypt/wepdecrypt-0.8-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=4
+EAPI=6
inherit eutils
@@ -15,30 +15,26 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="X"
RDEPEND="
- dev-libs/openssl
+ dev-libs/openssl:=
net-libs/libpcap
sys-libs/zlib
X? ( x11-libs/fltk:1 )"
DEPEND="${RDEPEND}"
-src_prepare() {
- epatch \
- "${FILESDIR}"/${P}-build.patch \
- "${FILESDIR}"/${P}-fltk.patch
-
- #Fix buffer size wrt bug 340148.
- epatch "${FILESDIR}/${P}-buffer.patch"
+PATCHES=(
+ "${FILESDIR}/${P}-build.patch"
+ "${FILESDIR}/${P}-fltk.patch"
+ "${FILESDIR}/${P}-buffer.patch" # bug#340148.
+ "${FILESDIR}/${P}-dyn.patch"
+)
- epatch "${FILESDIR}/${P}-dyn.patch"
+src_prepare() {
+ default
- #Fix respect for jobserver
sed -i 's/make/$(MAKE)/g' Makefile || die "Sed failed"
}
src_configure() {
- # build system is broken and --enabled-gui doesn't work
- local myconf=""
- ! use X && myconf="--disable-gui"
-
- econf ${myconf}
+ econf \
+ $(use X || echo --disable-gui)
}